package org.fouram.service;

import java.util.Date;

import org.fouram.core.base.service.BaseService;
import org.fouram.entity.SapBlacklist;
import org.springframework.stereotype.Service;

@Service
public class SapBlacklistService extends BaseService {

	public void saveOne(String userId, String reason) throws Exception {
		SapBlacklist entity = SapBlacklist.builder().userId(userId).reason(reason).createDate(new Date()).build();
		save("SapBlacklistMapper.saveOne", entity);
	}

	public void deleteById(String id) throws Exception {
		update("SapBlacklistMapper.deleteById", id);
	}
}
